com.sun.syndication.feed.synd

## Class SyndImageImpl

- java.lang.Object
- - com.sun.syndication.feed.synd.SyndImageImpl

All Implemented Interfaces:
  CopyFrom, SyndImage, java.io.Serializable, java.lang.Cloneable

    public class SyndImageImpl
    extends java.lang.Object
    implements java.io.Serializable, SyndImage

Bean for images of SyndFeedImpl feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyndImageImpl()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`void` `copyFrom(java.lang.Object syndImage)` Copies all the properties of the given bean into this one.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getDescription()` Returns the image description.
`java.lang.Class` `getInterface()` Returns the interface the copyFrom works on.
`java.lang.String` `getLink()` Returns the image link.
`java.lang.String` `getTitle()` Returns the image title.
`java.lang.String` `getUrl()` Returns the image URL.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setDescription(java.lang.String description)` Sets the image description.
`void` `setLink(java.lang.String link)` Sets the image link.
`void` `setTitle(java.lang.String title)` Sets the image title.
`void` `setUrl(java.lang.String url)` Sets the image URL.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyndImageImpl

    public SyndImageImpl()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `SyndImage`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getTitle

    public java.lang.String getTitle()

Returns the image title.

Specified by:
  `getTitle` in interface `SyndImage`
Returns:
  the image title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the image title.

Specified by:
  `setTitle` in interface `SyndImage`
Parameters:
  `title` - the image title to set, null if none.

#### getUrl

    public java.lang.String getUrl()

Returns the image URL.

Specified by:
  `getUrl` in interface `SyndImage`
Returns:
  the image URL, null if none.

#### setUrl

    public void setUrl(java.lang.String url)

Sets the image URL.

Specified by:
  `setUrl` in interface `SyndImage`
Parameters:
  `url` - the image URL to set, null if none.

#### getLink

    public java.lang.String getLink()

Returns the image link.

Specified by:
  `getLink` in interface `SyndImage`
Returns:
  the image link, null if none.

#### setLink

    public void setLink(java.lang.String link)

Sets the image link.

Specified by:
  `setLink` in interface `SyndImage`
Parameters:
  `link` - the image link to set, null if none.

#### getDescription

    public java.lang.String getDescription()

Returns the image description.

Specified by:
  `getDescription` in interface `SyndImage`
Returns:
  the image description, null if none.

#### setDescription

    public void setDescription(java.lang.String description)

Sets the image description.

Specified by:
  `setDescription` in interface `SyndImage`
Parameters:
  `description` - the image description to set, null if none.

#### getInterface

    public java.lang.Class getInterface()

Description copied from interface: `CopyFrom`
Returns the interface the copyFrom works on.

This is useful when dealing with properties that may have multiple implementations. For example, Module.

Specified by:
  `getInterface` in interface `CopyFrom`
Returns:
  the interface the copyFrom works on.

#### copyFrom

    public void copyFrom(java.lang.Object syndImage)

Description copied from interface: `CopyFrom`
Copies all the properties of the given bean into this one.

Any existing properties in this bean are lost.

This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

Specified by:
  `copyFrom` in interface `CopyFrom`
Parameters:
  `syndImage` - the instance to copy properties from.